#include "QDContext.h"
#include "QDClipContext.h"





QDClipContext::QDClipContext(GrafPtr port,RgnHandle clip)
{
	QDContext	context(port);
	
	
	fSavePort = port;
	fSaveClip = NewRgn();
	
	GetClip(fSaveClip);
	SetClip(clip);
}





QDClipContext::~QDClipContext(void)
{
	QDContext	context(fSavePort);
	
	
	SetClip(fSaveClip);
	DisposeRgn(fSaveClip);
}
