#include "QDContext.h"





QDContext::QDContext(void)
{
	GetPort(&fSavePort);
	
	fPenSize = fSavePort->pnSize;
	fPenMode = fSavePort->pnMode;
	fPenPat = fSavePort->pnPat;
	fTextFont = fSavePort->txFont;
	fTextFace = fSavePort->txFace;
	fTextMode = fSavePort->txMode;
	fTextSize = fSavePort->txSize;
	GetForeColor(&fForeColor);
	GetBackColor(&fBackColor);
}





QDContext::QDContext(GrafPtr port)
{
	GetPort(&fSavePort);
	
	fPenSize = fSavePort->pnSize;
	fPenMode = fSavePort->pnMode;
	fPenPat = fSavePort->pnPat;
	fTextFont = fSavePort->txFont;
	fTextFace = fSavePort->txFace;
	fTextMode = fSavePort->txMode;
	fTextSize = fSavePort->txSize;
	GetForeColor(&fForeColor);
	GetBackColor(&fBackColor);
	
	SetPort((GrafPtr)port);
}





QDContext::~QDContext(void)
{
	SetPort(fSavePort);
	
	PenSize(fPenSize.h,fPenSize.v);
	PenMode(fPenMode);
	PenPat(&fPenPat);
	TextFont(fTextFont);
	TextFace(fTextFace);
	TextMode(fTextMode);
	TextSize(fTextSize);
	RGBForeColor(&fForeColor);
	RGBBackColor(&fBackColor);
}
